package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.InitialDiskInfo;

import java.util.List;
import java.util.Map;

/**
 * 磁盘监控信息Service接口
 * 
 * @author gyt
 * @date 2025-08-25
 */
public interface IInitialDiskInfoService 
{
    /**
     * 查询磁盘监控信息
     * 
     * @param id 磁盘监控信息主键
     * @return 磁盘监控信息
     */
    public InitialDiskInfo selectInitialDiskInfoById(Long id);

    /**
     * 查询磁盘监控信息列表
     * 
     * @param initialDiskInfo 磁盘监控信息
     * @return 磁盘监控信息集合
     */
    public List<InitialDiskInfo> selectInitialDiskInfoList(InitialDiskInfo initialDiskInfo);

    /**
     * 新增磁盘监控信息
     * 
     * @param initialDiskInfo 磁盘监控信息
     * @return 结果
     */
    public int insertInitialDiskInfo(InitialDiskInfo initialDiskInfo);

    /**
     * 修改磁盘监控信息
     * 
     * @param initialDiskInfo 磁盘监控信息
     * @return 结果
     */
    public int updateInitialDiskInfo(InitialDiskInfo initialDiskInfo);

    /**
     * 批量删除磁盘监控信息
     * 
     * @param ids 需要删除的磁盘监控信息主键集合
     * @return 结果
     */
    public int deleteInitialDiskInfoByIds(Long[] ids);

    /**
     * 删除磁盘监控信息信息
     * 
     * @param id 磁盘监控信息主键
     * @return 结果
     */
    public int deleteInitialDiskInfoById(Long id);
    /**
     * 批量新增磁盘监控信息
     *
     * @param list 磁盘监控信息集合
     * @return 结果
     */
    public int batchInsertInitialDiskInfo(List<InitialDiskInfo> list);
    /**
     * 磁盘设备/dev/sda基础信息
     * @param initialDiskInfo
     * @return
     */
    InitialDiskInfo getDistDetailsMsg(InitialDiskInfo initialDiskInfo);
    /**
     * /dev/sda读写速率(KB/s)
     * @param initialDiskInfo
     * @return
     */
    Map<String, Object> rwSpeedEcharts(InitialDiskInfo initialDiskInfo);

    /**
     * /dev/sda读写次数
     * @param initialDiskInfo
     * @return
     */
    Map<String, Object> rwTimesEcharts(InitialDiskInfo initialDiskInfo);
    /**
     * /dev/sda读写字节
     * @param initialDiskInfo
     * @return
     */
    Map<String, Object> rwBytesEcharts(InitialDiskInfo initialDiskInfo);

    /**
     * 获取指定服务器的磁盘名称
     * @param initialDiskInfo
     * @return
     */
    List<Map> getAllDistName(InitialDiskInfo initialDiskInfo);
}
